#include "ResourcePool/mysql/ResourcePool.hh"
#include "t/main.hh"

#include "testconfig.cc"

using namespace std;
using namespace fatalmind;

void TEST_mysql_resource_one()
{
	mysqlFactory f(getConnectString());
	ResourcePool<ResourceType::mysql> p(f);
	mysqlResource& dbh = p.get();
	p.free(dbh);
}

void TEST_mysql_resource_two()
{
	ResourcePool<ResourceType::mysql> p(getFactory());
	mysqlResource& dbh = p.get();
	mysqlResource& dbh2 = p.get();

	assertFalse(dbh.getSessionID() == dbh2.getSessionID());	

	p.free(dbh);
	p.free(dbh2);
}


void TEST_PERF_mysql_resource_empty_template() 
{
	ResourcePool<ResourceType::mysql> p(getFactory());

	for (int i = 0; i < 300; ++i) {
		mysqlResource& dbh = p.get();
		assertTrue(p.free(dbh));
	}
}
