#include "ResourcePool/mysql/ResourcePool.hh"

#include "t/main.hh"

#include "testconfig.cc"
#include "../SQL/SQLExecute.t.cc"

std::auto_ptr<RP> rp;

void INIT_mysql_SQLExecute() {
	rp.reset(new RP(getFactory()));
	test_SQLExecute_init(*rp);
}

void TEST_mysql_SQLExecute_insert() {
	test_SQLExecute_one(*rp);
}

void TEST_mysql_SQLExecute_insert_two() {
	test_SQLExecute_two(*rp);
}

void TEST_mysql_SQLExecute_insert_three() {
	test_SQLExecute_three(*rp);
}

void TEST_PERF_mysql_SQLExecute_massbind() {
	test_perf_SQLExecute_massbind(*rp);
}

void TEST_PERF_mysql_SQLExecute_insert() {
	test_perf_SQLExecute_insert(*rp);
}

void TEST_PERF_mysql_SQLExecute_insert_outer() {
	test_perf_SQLExecute_insert_outer(*rp);
}

void TEST_PERF_mysql_SQLExecute_update_outer() {
	test_perf_SQLExecute_update_outer(*rp);
}

void TEST_mysql_SQLExecute_insert_fail() {
	test_SQLExecute_fail(*rp);
}

void TEST_mysql_SQLExecute_output() {
	test_SQLExecute_output(*rp);
}

void TEST_mysql_SQLExecute_clone() {
	test_SQLExecute_clone(*rp);
}

void CLEANUP_mysql_SQLExecute() {
	drop(*rp);
}
