//********************************************************************
//*** ResourcePool/oracle/oracleStatement.cc
//*** Copyright (c) 2003-2009 by Markus Winand <mws@fatalmind.com>
//*** $Id: oracleStatement.cc,v 1.10 2009-03-18 08:21:01 mws Exp $
//********************************************************************
/*
This file is part of ResourcePool.

ResourcePool is free software; you can redistribute it
and/or modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2 of 
the License, or (at your option) any later version.

ResourcePool is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied warranty
of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with ResourcePool; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
02111-1307  USA */

#include "oracleStatement.hh"
#include <sstream>

namespace fatalmind {
namespace oracle {

oracleStatement::oracleStatement(const SQL::SQLStatement& sql)
: SQL::SQLStatement(sql)
, _oraSQL()
{
	std::ostringstream os;
	int p = getParamCount();
	for (int i = 0; i < p; ++i) {
		os << getSQLFragment(i);
		os << ':' << i;
	}
	os << getSQLFragment(p);
	_oraSQL = os.str();	
}

const std::string& oracleStatement::getOraSQL() const {
	return _oraSQL;
}

bool operator<(const oracleStatement& lho, const oracleStatement& rho) 
{
	return lho._oraSQL < rho._oraSQL;
}

bool operator>(const oracleStatement& lho, const oracleStatement& rho) 
{
	return lho._oraSQL > rho._oraSQL;
}

} // namespace oracle
} // namespace fatalmind
